# Transmission RSS Manager

A complete solution for managing RSS feeds and automatic downloads through Transmission BitTorrent client.

## Features

- Monitor multiple RSS feeds
- Automatically download matching torrents
- Customizable download rules and patterns
- Web-based user interface with dark mode
- Manage multiple Transmission instances
- Post-processing capabilities
- Dashboard with statistics

## Requirements

- Linux (tested on Ubuntu 22.04+, Debian 11+)
- .NET 7.0 Runtime
- Transmission BitTorrent client (local or remote)

## Installation

1. Extract the package to a directory
2. Run the installation script:

```bash
chmod +x install.sh
sudo ./install.sh
```

3. Access the web interface at: http://localhost:5000

## Configuration

After installation, you can configure the application through the web interface:

1. Navigate to the Settings tab
2. Set up your Transmission connection details
3. Configure RSS feeds and download rules
4. Adjust auto-download and post-processing settings

## Running Manually

If you prefer to run the application manually without installing it as a service:

```bash
cd /opt/transmission-rss-manager  # or your installation directory
./run-app.sh
```

## Troubleshooting

- Check logs in the application's Logs tab for detailed error messages
- Verify Transmission connection settings
- Ensure RSS feed URLs are valid and accessible
- Check file permissions if using post-processing features

## License

This software is provided as-is under the MIT License.

## Acknowledgements

This package includes fixes for dark mode UI visibility and improved navigation styling.
