using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace TransmissionRssManager.Data.Models
{
    public class RssFeed
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Name { get; set; } = string.Empty;
        
        [Required]
        public string Url { get; set; } = string.Empty;
        
        public bool Enabled { get; set; } = true;
        
        public DateTime LastCheckedAt { get; set; } = DateTime.MinValue;
        
        public string? LastError { get; set; }
        
        [JsonIgnore]
        public List<RssFeedItem> Items { get; set; } = new List<RssFeedItem>();
        
        [JsonIgnore]
        public List<RssFeedRule> Rules { get; set; } = new List<RssFeedRule>();
        
        public int RefreshInterval { get; set; } = 15; // Minutes
        
        public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
        
        public DateTime? UpdatedAt { get; set; }
        
        public string Schedule { get; set; } = "*/30 * * * *"; // Default schedule (cron expression)
        
        public string? TransmissionInstanceId { get; set; } = "default";
        
        public string? DefaultCategory { get; set; }
        
        public int MaxHistoryItems { get; set; } = 100;
        
        public int ErrorCount { get; set; } = 0;
    }
}