using System;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace TransmissionRssManager.Data.Models
{
    public class RssFeedItem
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Title { get; set; } = string.Empty;
        
        [Required]
        public string Link { get; set; } = string.Empty;
        
        public string? Description { get; set; }
        
        public DateTime PublishDate { get; set; }
        
        public int RssFeedId { get; set; }
        
        [JsonIgnore]
        public RssFeed? RssFeed { get; set; }
        
        public bool IsDownloaded { get; set; }
        
        public DateTime DiscoveredAt { get; set; } = DateTime.UtcNow;
        
        public DateTime? DownloadedAt { get; set; }
        
        public int? TorrentId { get; set; }
        
        [JsonIgnore]
        public Torrent? Torrent { get; set; }
        
        public int? MatchedRuleId { get; set; }
        
        [JsonIgnore]
        public RssFeedRule? MatchedRule { get; set; }
        
        public string? DownloadError { get; set; }
    }
}