using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace TransmissionRssManager.Data.Models
{
    public class RssFeedRule
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Name { get; set; } = string.Empty;
        
        public int RssFeedId { get; set; }
        
        [JsonIgnore]
        public RssFeed? RssFeed { get; set; }
        
        public string? IncludePattern { get; set; }
        
        public string? ExcludePattern { get; set; }
        
        public bool UseRegex { get; set; } = false;
        
        public bool Enabled { get; set; } = true;
        
        public bool SaveToCustomPath { get; set; } = false;
        
        public string? CustomSavePath { get; set; }
        
        public bool EnablePostProcessing { get; set; } = false;
        
        public int Priority { get; set; } = 0;
        
        public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
        
        public DateTime? UpdatedAt { get; set; }
        
        [JsonIgnore]
        public List<RssFeedItem> MatchedItems { get; set; } = new List<RssFeedItem>();
    }
}