using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace TransmissionRssManager.Data.Models
{
    public class Torrent
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Name { get; set; } = string.Empty;
        
        [Required]
        public string Hash { get; set; } = string.Empty;
        
        public int? TransmissionId { get; set; }
        
        public string Status { get; set; } = string.Empty;
        
        public long TotalSize { get; set; }
        
        public double PercentDone { get; set; }
        
        public double UploadRatio { get; set; }
        
        public int? RssFeedItemId { get; set; }
        
        [JsonIgnore]
        public RssFeedItem? RssFeedItem { get; set; }
        
        public DateTime AddedOn { get; set; } = DateTime.UtcNow;
        
        public DateTime? CompletedOn { get; set; }
        
        public bool PostProcessed { get; set; }
        
        public DateTime? PostProcessedOn { get; set; }
        
        public string? DownloadDirectory { get; set; }
        
        public string? ErrorMessage { get; set; }
        
        public string? Category { get; set; }
        
        public string? TransmissionInstance { get; set; } = "default";
        
        public long DownloadedEver { get; set; }
        
        public long UploadedEver { get; set; }
        
        public double DownloadSpeed { get; set; }
        
        public double UploadSpeed { get; set; }
        
        public int PeersConnected { get; set; }
        
        public bool HasMetadata { get; set; } = true;
    }
}