using System.Collections.Generic;
using System.Threading.Tasks;
using TransmissionRssManager.Data.Models;

namespace TransmissionRssManager.Data.Repositories
{
    public interface ITorrentRepository : IRepository<Torrent>
    {
        Task<IEnumerable<Torrent>> GetCompletedNotProcessedAsync();
        Task<Torrent?> GetByHashAsync(string hash);
        Task<IEnumerable<Torrent>> GetRecentlyAddedAsync(int count);
        Task<IEnumerable<Torrent>> GetAllWithRssFeedItemsAsync();
    }
}